Token payroll
Submit Payroll Groups
Marks the given approved reporting groups as SUBMITTED.
POSThttps://api.toku.com/tga/submit-payroll-groups
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/tga/submit-payroll-groups' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"payrollReportingGroupIDs": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}'200 response
{
"success": true,
"submittedCount": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
payrollReportingGroupIDsstring<uuid>[]requiredAllowed: at least 1 items
Response
200Successful response
successbooleanrequiredsubmittedCountintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits